% 2d wavelet transform matrix: matrix vector multiplication
%
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 July 15

function y = mtimes(A,x)
  x = reshape(x,A.imsz);
  if A.ctransp
    if isreal(x)
      y = fwtn(x,A.nl,A.qmf,1);
    else
      y = fwtn(real(x),A.nl,A.qmf,1) + 1i*fwtn(imag(x),A.nl,A.qmf,1);
    end
  else
    if isreal(x)
      y  = fwtn(x, A.nl, A.qmf);
    else
      y  = fwtn(real(x), A.nl, A.qmf) + 1i*fwtn(imag(x), A.nl, A.qmf);
    end
  end
  y = y(:);