% [p,dp,d2p] = penPow(s,d) - Power penalty
%  
% pen(s) = |s|^d, default d=1
%
%   See also PENFUNCTIONS.M.
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 July 23

function [p,dp,d2p] = penPow(s,d)

if nargin<2, d = 1; end                                          % default value
p   = abs(s).^d;                                                       % penalty
dp  = d*sign(s).*abs(s).^(d-1);                               % first derivative
d2p = (d^2-d)*abs(s).^(d-2);                                 % second derivative