% Penalised least squares solved by CONJUGATE GRADIENTS using the function
% minimize.m [1] by Carl E. Rasmussen.
%
%   [u,phi] = plsCG(u,X,y,B,opt,lam,pen,varargin)
%  
%   See also PLSALGORITHMS.M.
%
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 August 05
%
% [1] http://www.kyb.tuebingen.mpg.de/bs/people/carl/code/minimize/

function [u,phi] = plsCG(u,X,y,B,opt,lam,pen,varargin)

% optimisation parameters
if isfield(opt,'nMVM')                                 % maximal number of steps
  nMVM = opt.nMVM;
else
  nMVM = 100;
end

% information parameters
if isfield(opt,'output')              % flag saying whether some output is shown
  output = opt.output;
else
  output = false;
end

if output
  [u,phi] = minimize(u,'phi',-nMVM,X,y,B,lam,pen,varargin{:});
else
  [t,u,phi] = evalc('minimize(u,''phi'',-nMVM,X,y,B,lam,pen,varargin{:})');
end
phi = phi(end);