% P = potGauss(s) - Gaussian potential
%
% pot(s) = exp(-s²/2)
%
%   See also POTFUNCTIONS.M.
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 July 14

function P = potGauss(s)

P = zeros(numel(s),4);                  % 2nd derivative and b are equal to zero
P(:,1) = -s(:).*s(:)/2;                                          % log potential
P(:,2) = -s(:);                                % 1st derivative of log potential
P(:,3) = -1;                                   % 2nd derivative of log potential