% P = potLaplace(s) - Laplace (double exponential) potential
%
% pot(s) = exp(-|s|)
%
%   See also POTFUNCTIONS.M.
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 July 14

function P = potLaplace(s)

P = zeros(numel(s),4);                  % 2nd derivative and b are equal to zero
P(:,1) = -abs(s(:));                                             % log potential
P(:,2) = -sign(s(:));                          % 1st derivative of log potential